Overview | Namespace | Component | Index | Help
| BEA WebLogic Server 9.1 Portal Support Schema Reference
DETAILS: DOCUMENTATION | ELEMENTS | ATTRIBUTES | FRAMES | NO FRAMES

## http://www.bea.com/servers/netuix/xsd/controls/netuix/1.0.0
complexType webflowPortletType

    {http://www.w3.org/2001/XMLSchema}anyType
      {http://www.bea.com/servers/netuix/xsd/controls/netuix/1.0.0}uiControlType
          {http://www.bea.com/servers/netuix/xsd/controls/netuix/1.0.0}netuixControlType
              {http://www.bea.com/servers/netuix/xsd/controls/netuix/1.0.0}presentationControlType
                  {http://www.bea.com/servers/netuix/xsd/controls/netuix/1.0.0}administeredControlType
                      {http://www.bea.com/servers/netuix/xsd/controls/netuix/1.0.0}entitledUIControlType
                          {http://www.bea.com/servers/netuix/xsd/controls/netuix/1.0.0}backableControlType
                              {http://www.bea.com/servers/netuix/xsd/controls/netuix/1.0.0}abstractPortletType
                                  {http://www.bea.com/servers/netuix/xsd/controls/netuix/1.0.0}webflowPortletType

Model
  `<...
  altFooterUri = string
  altHeaderUri = string
  backingFile = string
  cacheExpires = integer
  contentUri = string
  defaultMinimized = boolean
  definitionId = string
  definitionLabel = `{string: pattern = (\p{L}|_|\$)(\p{L}|_|\$|\p{Nd})*}`
  deleted = boolean
  description = string
  disabledClassifications = string
  editUri = string
  enabledClassifications = string
  footerUri = string
  forkable = boolean
  forkPreRender = boolean
  forkPreRenderTimeout = integer
  forkRender = boolean
  forkRenderTimeout = integer
  headerUri = string
  helpUri = string
  id = string
  instanceId = string
  markupName = string
  maximizable = boolean
  minimizable = boolean
  orientation = string
  packed = boolean
  presentationClass = string
  presentationId = string
  presentationStyle = string
  properties = string
  renderCacheable = boolean
  skeletonUri = string
  tagName = string
  title = `{string: length ≥ 1}`
  webflowName = string
  windowModeEnabled = boolean
  >
  meta*, handlePortalEvent | handlePageFlowEvent | handleStrutsEvent | handleCustomEvent | handleEvent | handleNotificationEvent*
  </...>`

Prohibited substitutions (block)
  none (extensions and restrictions are allowed)

Usage
  Derived types: none
  Components using this type: webflowPortlet

Nested Element Summary
`metaType` | `meta` 0...∞
choice 0...∞ |
`handlePortalEventType` | `handlePortalEvent`
`handlePageFlowEventType` | `handlePageFlowEvent`
`handleStrutsEventType` | `handleStrutsEvent`
`handleCustomEventType` | `handleCustomEvent`
`handleGenericEventType` | `handleEvent`
`handleNotificationEventType` | `handleNotificationEvent`

Attribute Summary
`string` | `altFooterUri`
`string` | `altHeaderUri`
`string` | `backingFile`
`integer` | `cacheExpires`
`string` | `contentUri`
`boolean` | `defaultMinimized`
`string` | `definitionId`
`annonymous type derived from string` | `definitionLabel`
`boolean` | `deleted`
`string` | `description`
`string` | `disabledClassifications`
`string` | `editUri`
`string` | `enabledClassifications`
`string` | `footerUri`
`boolean` | `forkable`
`boolean` | `forkPreRender`
`integer` | `forkPreRenderTimeout`
`boolean` | `forkRender`
`integer` | `forkRenderTimeout`
`string` | `headerUri`
`string` | `helpUri`
`string` | `id`
`string` | `instanceId`
`string` | `markupName`
`boolean` | `maximizable`
`boolean` | `minimizable`
`string` | `orientation`
`boolean` | `packed`
`string` | `presentationClass`
`string` | `presentationId`
`string` | `presentationStyle`
`string` | `properties`
`boolean` | `renderCacheable`
`string` | `skeletonUri`
`string` | `tagName`
`titleType` | `title`
`string` | `webflowName`
`boolean` | `windowModeEnabled`

Attribute Detail

### altFooterUri

Definition

  Defined with global type string

Model

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

### altHeaderUri

Definition

  Defined with global type string

Model

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

### backingFile

Definition

  Defined with global type string

Model

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

### cacheExpires

Definition

  Defined with global type integer

Model

Attribute Usage
  optional

Fundamental Facets
  equality, numeric, unbounded, totaly ordered, countable infinite value space

White Space Processing
  collapse

### contentUri

Definition

  Defined with global type string

Model

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

### defaultMinimized

Definition

  Defined with global type boolean

Model

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, finit value space

White Space Processing
  collapse

### definitionId

Definition

  Defined with global type string

Model

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

### definitionLabel

Model
  `{string: pattern = (\p{L}|_|\$)(\p{L}|_|\$|\p{Nd})*}`

Attribute Usage
  required

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  preserve

Pattern Facet
  `(\p{L}|_|\$)(\p{L}|_|\$|\p{Nd})*`

### deleted

Definition

  Defined with global type boolean

Model

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, finit value space

White Space Processing
  collapse

### description

Definition

  Defined with global type string

Model

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

### disabledClassifications

Definition

  Defined with global type string

Model

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

### editUri

Definition

  Defined with global type string

Model

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

### enabledClassifications

Definition

  Defined with global type string

Model

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

### footerUri

Definition

  Defined with global type string

Model

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

### forkable

Definition

  Defined with global type boolean

Model

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, finit value space

White Space Processing
  collapse

### forkPreRender

Definition

  Defined with global type boolean

Model

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, finit value space

White Space Processing
  collapse

### forkPreRenderTimeout

Definition

  Defined with global type integer

Model

Attribute Usage
  optional

Fundamental Facets
  equality, numeric, unbounded, totaly ordered, countable infinite value space

White Space Processing
  collapse

### forkRender

Definition

  Defined with global type boolean

Model

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, finit value space

White Space Processing
  collapse

### forkRenderTimeout

Definition

  Defined with global type integer

Model

Attribute Usage
  optional

Fundamental Facets
  equality, numeric, unbounded, totaly ordered, countable infinite value space

White Space Processing
  collapse

### headerUri

Definition

  Defined with global type string

Model

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

### helpUri

Definition

  Defined with global type string

Model

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

### id

Definition

  Defined with global type string

Model

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

### instanceId

Definition

  Defined with global type string

Model

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

### markupName

Definition

  Defined with global type string

Model

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

### maximizable

Definition

  Defined with global type boolean

Model

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, finit value space

White Space Processing
  collapse

### minimizable

Definition

  Defined with global type boolean

Model

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, finit value space

White Space Processing
  collapse

### orientation

Definition

  Defined with global type string

Model

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

### packed

Definition

  Defined with global type boolean

Model

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, finit value space

White Space Processing
  collapse

### presentationClass

Definition

  Defined with global type string

Model

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

### presentationId

Definition

  Defined with global type string

Model

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

### presentationStyle

Definition

  Defined with global type string

Model

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

### properties

Definition

  Defined with global type string

Model

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

### renderCacheable

Definition

  Defined with global type boolean

Model

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, finit value space

White Space Processing
  collapse

### skeletonUri

Definition

  Defined with global type string

Model

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

### tagName

Definition

  Defined with global type string

Model

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

### title

Definition

  Defined with global type titleType

Model
  `{string: length ≥ 1}`

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

### webflowName

Definition

  Defined with global type string

Model

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, countable infinite value space

White Space Processing
  collapse

### windowModeEnabled

Definition

  Defined with global type boolean

Model

Attribute Usage
  optional

Fundamental Facets
  equality, non-numeric, unbounded, unordered, finit value space

White Space Processing
  collapse

Overview | Namespace | Component | Index | Help
| BEA WebLogic Server 9.1 Portal Support Schema Reference
DETAILS: DOCUMENTATION | ELEMENTS | ATTRIBUTES | FRAMES | NO FRAMES

Version: 9.1